/*
 * Copyright (C) 2015 Guido Berhoerster <guido+libpws@berhoerster.name>
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef	PWS_COMPAT_H
#define	PWS_COMPAT_H

#if	!defined(HAVE_ENDIAN_H) && !defined(HAVE_SYS_ENDIAN_H)
#define	le16toh		pws_compat_le16toh
#define	htole16		pws_compat_htole16
#define	le32toh		pws_compat_le32toh
#define	htole32		pws_compat_htole32
#define	be16toh		pws_compat_be16toh
#define	htobe16		pws_compat_htobe16
#define	be32toh		pws_compat_be32toh
#define	htobe32		pws_compat_htobe32
#endif /* !defined(HAVE_ENDIAN_H) && !defined(HAVE_SYS_ENDIAN_H) */

#ifndef	HAVE_GETENTROPY
#define	getentropy	pws_compat_getentropy
#endif /* !HAVE_GETENTROPY */

#endif /* PWS_COMPAT_H */
